Update org
Update org.
PUT
/v2/orgs/{id}Features
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input2
Sent from your browser straight to the API — never to Docsbook, never stored.
(path)
Output14
One of:
na, failed, success, blocked.One of:
personal, teamMonthlyAws, axiomCloud, teamPlus, enterprise, comped, accelerator.Responses
200Org
Example input
curl -X PUT 'https://api.axiom.co/v2/orgs/{id}' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"name":"string"}'Example output
{
"defaultEdgeDeployment": "string",
"firstFailedPayment": "string",
"id": "string",
"lastUsageSync": "string",
"license": {
"apiRateLimitPerSecond": 0,
"billingPeriodEnd": "2024-01-01T00:00:00Z",
"billingPeriodStart": "2024-01-01T00:00:00Z",
"defaultEdgeDeployment": "string",
"edgeDeployments": [
"string"
],
"expiresAt": "2024-01-01T00:00:00Z",
"features": {},
"id": "string",
"issuedAt": "2024-01-01T00:00:00Z",
"issuedTo": "string",
"issuer": "string",
"maxAuditWindowSeconds": 0
},
"metaCreated": "string",
"metaModified": "string",
"metaVersion": "string",
"name": "string",
"paymentStatus": "na",
"plan": "personal",
"planCreated": "string"
}